Bug 30423 - Convert authority merge page tabs to Bootstrap
Summary: Convert authority merge page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-03-31 17:31 UTC by Owen Leonard
Modified: 2022-04-15 11:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30423: Convert authority merge page tabs to Bootstrap (3.75 KB, patch)
2022-03-31 17:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30423: Convert authority merge page tabs to Bootstrap (3.90 KB, patch)
2022-04-01 07:57 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30423: Convert authority merge page tabs to Bootstrap (3.95 KB, patch)
2022-04-03 10:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-31 17:31:34 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the authority merge template with Bootstrap.
Comment 1 Owen Leonard 2022-03-31 17:39:52 UTC
Created attachment 132803 [details] [review]
Bug 30423: Convert authority merge page tabs to Bootstrap

This patch updates the authority merge page to use Bootstrap tabs
instead of jQueryUI.

To test, apply the patch go to Authorities in the staff interface.

- Perform an authority search which will return more than one
  authority record.
- On the results page, click Actions -> Merge for two authority
  records.
- Click "Next" after selecting a merge reference.
- On the next page you should see two tabs under "Source records."
  Confirm that they work correctly.
- Confirm that tag and subfield selection still works correctly.
Comment 2 Séverine Queune 2022-04-01 07:57:43 UTC
Created attachment 132822 [details] [review]
Bug 30423: Convert authority merge page tabs to Bootstrap

This patch updates the authority merge page to use Bootstrap tabs
instead of jQueryUI.

To test, apply the patch go to Authorities in the staff interface.

- Perform an authority search which will return more than one
  authority record.
- On the results page, click Actions -> Merge for two authority
  records.
- Click "Next" after selecting a merge reference.
- On the next page you should see two tabs under "Source records."
  Confirm that they work correctly.
- Confirm that tag and subfield selection still works correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2022-04-01 08:00:32 UTC
Everything works as expected, and no more gap on the left of the first tab.
Thank you Owen !
Comment 4 Katrin Fischer 2022-04-03 10:30:13 UTC
Created attachment 132912 [details] [review]
Bug 30423: Convert authority merge page tabs to Bootstrap

This patch updates the authority merge page to use Bootstrap tabs
instead of jQueryUI.

To test, apply the patch go to Authorities in the staff interface.

- Perform an authority search which will return more than one
  authority record.
- On the results page, click Actions -> Merge for two authority
  records.
- Click "Next" after selecting a merge reference.
- On the next page you should see two tabs under "Source records."
  Confirm that they work correctly.
- Confirm that tag and subfield selection still works correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2022-04-12 09:42:26 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄